package com.ly.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ly.controller.UserDTO;
import com.ly.controller.UserPasswordDTO;
import com.ly.domain.User;

import javax.mail.MessagingException;
import java.util.List;
//extends IService<User>
public interface UserService extends IService<User>{

   UserDTO login(UserDTO userDTO);
    Page<User> findPage(Page<User> objectPage, String username, String email, String address);
    User  register(UserDTO userDTO);
    User  register1(UserDTO userDTO);
    void updatePassword(UserPasswordDTO userPasswordDTO);

 void sendEmailCode(String email, Integer type) throws MessagingException;

 UserDTO loginEmail(UserDTO userDTO);
}
